Bug 975094 - [abrt] general protection fault: 0000 [#1] SMP
[abrt] general protection fault: 0000 [#1] SMP
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-17 11:49 EDT by James Hogan
Modified: 2013-07-31 18:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 18:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (247.17 KB, text/plain)
2013-06-17 11:49 EDT, James Hogan
no flags Details

  None (edit)
Description James Hogan 2013-06-17 11:49:51 EDT
Description of problem:
Due apprently to this bug Xorg will frequently start consuming 100% cpu and make the computer a bit sluggish:


When this happens I have got into the habbit of logging out (to kill Xorg before it dies) and logging back in (yes this is really annoying!).

This time however when I logged out I got this kernel panic message.

Additional info:
general protection fault: 0000 [#1] SMP 
Modules linked in: fuse fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi hwmon_vid ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi ch341 eeepc_wmi asus_wmi sparse_keymap rfkill iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device coretemp snd_pcm kvm binfmt_misc microcode snd_page_alloc snd_timer r8169 snd serio_raw i2c_i801 soundcore mii mei lpc_ich mfd_core uinput nfsd auth_rpcgss nfs_acl lockd sunrpc crc32c_intel ghash_clmulni_intel nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU 2 
Pid: 5918, comm: Xorg Not tainted 3.8.12-100.fc17.x86_64 #1 System manufacturer System Product Name/P8Z68-V LE
RIP: 0010:[<ffffffffa006fcd8>]  [<ffffffffa006fcd8>] ttm_dma_unpopulate+0x2c8/0x320 [ttm]
RSP: 0018:ffff8801c07a9bb8  EFLAGS: 00010202
RAX: fffe88020edaaf00 RBX: ffff8801b4465300 RCX: 00000000000000dd
RDX: 0000000000000007 RSI: ffffea00055d3bc0 RDI: 0000000000000246
RBP: ffff8801c07a9bf8 R08: ffff8801b4465328 R09: 0000000000000000
R10: ffff880145bdc130 R11: 0000000000000000 R12: 0000000000000001
R13: ffff8801320b5480 R14: 0000000000000008 R15: 0000000000000008
FS:  00007f03ac8258c0(0000) GS:ffff88021ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000010abbd8 CR3: 00000001d28a4000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 5918, threadinfo ffff8801c07a8000, task ffff8801bbed5d80)
 0000000000000000 ffff8801320b54d8 ffff88021ed16b60 ffff8801320b5480
 ffff8801320b5480 ffff88020eeba800 ffff88020edaaf00 ffffffffa015a1c0
 ffff8801c07a9c28 ffffffffa0105b9f ffff8801023d5f70 ffff8801320b5480
Call Trace:
 [<ffffffffa0105b9f>] nouveau_ttm_tt_unpopulate+0xef/0x100 [nouveau]
 [<ffffffffa00670b1>] ttm_tt_destroy+0x31/0x70 [ttm]
 [<ffffffffa0067693>] ttm_bo_cleanup_memtype_use+0x43/0xa0 [ttm]
 [<ffffffffa00688d1>] ttm_bo_release+0x1e1/0x250 [ttm]
 [<ffffffffa0068971>] ttm_bo_unref+0x31/0x40 [ttm]
 [<ffffffffa01089b0>] nouveau_gem_object_del+0x60/0x90 [nouveau]
 [<ffffffffa00169ba>] drm_gem_object_free+0x2a/0x30 [drm]
 [<ffffffffa0017060>] drm_gem_handle_delete+0xf0/0x120 [drm]
 [<ffffffffa00174a8>] drm_gem_close_ioctl+0x28/0x30 [drm]
 [<ffffffffa00154d3>] drm_ioctl+0x4d3/0x580 [drm]
 [<ffffffff811b18c8>] ? __d_free+0x48/0x70
 [<ffffffffa0017480>] ? drm_gem_destroy+0x60/0x60 [drm]
 [<ffffffff811b18c8>] ? __d_free+0x48/0x70
 [<ffffffff811b194d>] ? d_free+0x5d/0x70
 [<ffffffff811baf8d>] ? mnt_get_count+0x4d/0x70
 [<ffffffff811aeb49>] do_vfs_ioctl+0x99/0x580
 [<ffffffff8129a23a>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
 [<ffffffff8129ba77>] ? file_has_perm+0x97/0xb0
 [<ffffffff811af0c1>] sys_ioctl+0x91/0xb0
 [<ffffffff81014971>] ? do_notify_resume+0x71/0xb0
 [<ffffffff816586d9>] system_call_fastpath+0x16/0x1b
Code: f6 0f 84 df fd ff ff 41 83 ee 01 45 31 ff 4e 8d 34 f5 08 00 00 00 0f 1f 44 00 00 49 8b 45 18 4a 8b 34 38 49 8b 45 38 49 83 c7 08 <48> 8b 78 40 e8 bf 6f ff ff 4d 39 f7 75 e2 e9 a8 fd ff ff 0f 1f 
RIP  [<ffffffffa006fcd8>] ttm_dma_unpopulate+0x2c8/0x320 [ttm]
 RSP <ffff8801c07a9bb8>
Comment 1 James Hogan 2013-06-17 11:49:58 EDT
Created attachment 762073 [details]
File: dmesg
Comment 2 Fedora End Of Life 2013-07-03 17:11:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 18:03:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.